SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   phpCodeGenie Vendors:   phpcodegenie.sourceforge.net
phpCodeGenie Lets Remote Authenticated Users Execute Arbitrary Commands on the Target System
SecurityTracker Alert ID:  1011911
SecurityTracker URL:  http://securitytracker.com/id/1011911
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Oct 24 2004
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): prior to 3.0.2
Description:   A potential vulnerability was reported in phpCodeGenie. A remote authenticated user can execute arbitrary PHP code on the target system.

The vendor reported that a remote authenticated user can place arbitrary code in the simple application generation headers or footers and then execute the code by loading the application (Web/generatedCode/simple/applicationName). The PHP code, including operating system commands, will run with the privileges of the target web service.

Impact:   A remote user can execute arbitrary PHP code, including operating system commands, with the privileges of the target web service.
Solution:   The vendor has issued a fixed version (3.0.2), available at:

http://phpcodegenie.sourceforge.net/downloads.php

[Editor's note: The vendor indicates that phpCodeGenie is not intended for use on a production host, but the vulnerable feature has been removed just to be safe.]

Vendor URL:  phpcodegenie.sourceforge.net/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC